This URL gets name resolution configuration at Sensor level.
Resource URL
GET /sensor/<sensor_id>/nameresolution
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| sensor_id | Sensor id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| DNSDetailsElement | Object that contains the details of the fields | Object |
Details of fields in DNSDetailsElement:
| Field Name | Description | Data Type |
|---|---|---|
| inheritFromIPSSetting | Inherit setting from parent domain | Boolean |
| enableNameResolution | Enable name resolution setting | Boolean |
| dnsSuffixList | List of DNS suffix | Array |
| primaryDNSServer | Primary DNS server IP, mandatory when name resolution is enabled | String |
| secondaryDNSServer | Secondary DNS server IP | String |
| refreshIntervalInHours | Refresh interval in hours, applicable only for NTBA device | Number |
Example
Request
GET https://%3CNSM_IP%3E/sdkapi/sensor/1001/nameresolution
Response
{
"inheritFromIPSSetting": false,
"enableNameResolution": true,
"dnsSuffixList":
[
"outlook.com",
"google.com"
],
"primaryDNSServer": "172.16.230.211",
"secondaryDNSServer": "172.16.232.72",
"refreshIntervalInHours": 0
}
Error Information
Following error code is returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 404 | 1106 | Invalid Sensor |